'use strict';

angular.module('adf.structures.electre', ['adf'])
.config(
    [
        'dashboardProvider',
        function (dashboardProvider) {
            dashboardProvider
                .structure('2 rows (12-(3-3-3-3))', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-12'
                        }]
                    },{
                        columns : [{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-3'
                        }]
                    }]
                })
                .structure('2 columns (6-6)', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-6'
                        },{
                            styleClass : 'col-md-6'
                        }]
                    }]
                })
                .structure('3 columns (4-4-4)', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-4'
                        },{
                            styleClass : 'col-md-4'
                        },{
                            styleClass : 'col-md-4'
                        },]
                    }]
                })
                .structure('3 columns (3-6-3)', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-3'
                        },{
                            styleClass : 'col-md-6'
                        },{
                            styleClass : 'col-md-3'
                        }]
                    }]
                })
                .structure('4 Columns (3-3-3-3)',
                    {
                        rows: [{
                            columns: [{
                                styleClass : 'col-md-3'
                            },{
                                styleClass : 'col-md-3'
                            },{
                                styleClass : 'col-md-3'
                            },{
                                styleClass : 'col-md-3'
                            }]
                        }]
                    }
                ).structure('5 columns (2-2-4-2-2)', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-4'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        }]
                    }]
                })
                .structure('6 columns (2-2-2-2-2-2)', {
                    rows : [{
                        columns : [{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        },{
                            styleClass : 'col-md-2'
                        }]
                    }]
                });
        }
    ]
);